{
	"columns": [
		{
			"width": 25,
			"lineBackColor": -2,
			"field": "sor_row_number",
			"lineForeColor": -2,
			"name": "Rivi",
			"headerForeColor": -2
		},
		{
			"width": 28,
			"lineBackColor": -2,
			"field": "sor_partial_delivery_number",
			"lineForeColor": -2,
			"name": "Alae.",
			"headerForeColor": -2
		},
		{
			"field": "sor_type_",
			"width": 20,
			"name": "Ty.",
			"enterable": 1
		},
		{
			"field": "sor_order_state",
			"width": 20,
			"name": "Tila",
			"enterable": 1
		},
		{
			"field": "sor_product_id",
			"width": 85,
			"name": "Tuote",
			"enterable": 1
		},
		{
			"field": "sor_explanation",
			"width": 82,
			"name": "Selitys",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 24,
			"headerForeColor": -2,
			"lineBackColor": -2,
			"field": "pr_production_control_type",
			"lineForeColor": -2,
			"name": "T/V",
			"format": "V;####;T"
		},
		{
			"headerBackColor": -2,
			"width": 45,
			"lineBackColor": -2,
			"field": "pr_work__position_num_id",
			"lineForeColor": -2,
			"name": "Rakenne",
			"headerForeColor": -2
		},
		{
			"width": 43,
			"enterable": 1,
			"field": "sor_ordered_amount",
			"name": "Tilattu",
			"format": "### ### ##0,##"
		},
		{
			"field": "sor_unit",
			"width": 24,
			"name": "yks",
			"enterable": 1
		},
		{
			"width": 42,
			"enterable": 1,
			"field": "sor_order_amount_2",
			"name": "Tilattu 2",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_unit_2",
			"width": 30,
			"name": "yks2",
			"enterable": 1
		},
		{
			"field": "sor_price__unit",
			"width": 49,
			"name": "à hinta",
			"enterable": 1
		},
		{
			"field": "sor_sales_price_total",
			"width": 51,
			"name": "Hinta yht.",
			"enterable": 1
		},
		{
			"width": 38,
			"enterable": 1,
			"field": "sor_discount_percentage",
			"name": "Ale%",
			"footerValue": "==Sum"
		},
		{
			"width": 41,
			"enterable": 1,
			"field": "sor_discount_amount",
			"name": "Ale",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_delivered_date",
			"width": 50,
			"name": "Toimit. pv",
			"enterable": 1
		},
		{
			"field": "sor_confirmed_delivery_date",
			"width": 47,
			"name": "Vahv. tp",
			"enterable": 1
		},
		{
			"field": "sor_delivery_state",
			"width": 20,
			"name": "TT",
			"enterable": 1
		},
		{
			"width": 34,
			"enterable": 1,
			"field": "sor_delivered_quantity",
			"name": "Toim.",
			"format": "### ### ##0,##"
		},
		{
			"headerBackColor": -2,
			"width": 37,
			"lineBackColor": -2,
			"field": "sor_waiting_for_delivery",
			"headerFontStyle": 2,
			"format": "### ### ##0,##",
			"headerForeColor": -2,
			"name": "Jäljellä",
			"lineForeColor": -2
		},
		{
			"field": "sor_stock_event",
			"width": 42,
			"name": "Vartap",
			"enterable": 1
		},
		{
			"field": "sor_invoice_id",
			"width": 38,
			"name": "Lasku",
			"enterable": 1
		},
		{
			"field": "sor_dispatch_note_id",
			"width": 40,
			"name": "Lähete",
			"enterable": 1
		},
		{
			"field": "sor_production_lot",
			"width": 64,
			"name": "Valmistuserä",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "sor_kSales_Order_id",
		"gridName": "5. Tuotantorivit",
		"type": "Input",
		"oneField": "so_kSales_Order_ID",
		"enterable": 1
	}
}